--
-- Insert test geometries to PostGIS
-- These geometries are used to test OGR for Bug 1195
--
-- Create table for 2 dim geometries
--
DROP TABLE ewkt_2dim;
CREATE TABLE ewkt_2dim (id int4);
SELECT AddGeometryColumn( 'ewkt_2dim', 'egeom', -1, 'GEOMETRY', 2 );

-- XY
INSERT INTO ewkt_2dim (id, egeom) VALUES (1, GeomFromEWKT('POINT(0 0)'));

-- XY GEOMETRYCOLLECTION
INSERT INTO ewkt_3dim (id, egeom) VALUES (2, GeomFromEWKT('GEOMETRYCOLLECTION(POINT(2 3), LINESTRING((2 3,3 4)))'));

--
-- Create table for 3 dim geometries
--
DROP TABLE ewkt_3dim;
CREATE TABLE ewkt_3dim (id int4);
SELECT AddGeometryColumn( 'ewkt_3dim', 'egeom', -1, 'GEOMETRY', 3 );

-- XYZ 
INSERT INTO ewkt_3dim (id, egeom) VALUES (1, GeomFromEWKT('POINT(0 0 0)'));

-- XYM
INSERT INTO ewkt_3dim (id, egeom) VALUES (2, GeomFromEWKT('POINTM(52 21 75)'));

-- XYM
INSERT INTO ewkt_3dim (id, egeom) VALUES (3, GeomFromEWKT('MULTIPOINTM(0 0 0,1 2 1)'));

-- XYZ MULTILINESTRING 
INSERT INTO ewkt_3dim (id, egeom) VALUES (4, GeomFromEWKT('MULTILINESTRING((0 0 0,1 1 0,1 2 1),(2 3 1,3 2 1,5 4 1))'));

-- XYZ POLYGON
INSERT INTO ewkt_3dim (id, egeom) VALUES (5, GeomFromEWKT('POLYGON((0 0 0,4 0 0,4 4 0,0 4 0,0 0 0),(1 1 0,2 1 0,2 2 0,1 2 0,1 1 0))'));

-- XYZ MULTIPOLYGON
INSERT INTO ewkt_3dim (id, egeom) VALUES (6, GeomFromEWKT('MULTIPOLYGON(((0 0 0,4 0 0,4 4 0,0 4 0,0 0 0),(1 1 0,2 1 0,2 2 0,1 2 0,1 1 0)),((-1 -1 0,-1 -2 0,-2 -2 0,-2 -1 0,-1 -1 0)))'));

--
-- Create table for 4 dim geometries
--
DROP TABLE ewkt_4dim;
CREATE TABLE ewkt_4dim (id int4);
SELECT AddGeometryColumn( 'ewkt_4dim', 'egeom', -1, 'GEOMETRY', 4 );

-- XYZM
INSERT INTO ewkt_4dim (id, egeom) VALUES (1, GeomFromEWKT('POINT(52 21 75 100)'));
