--
-- Insert test geometries to PostGIS
-- These geometries are used to test OGR for Bug 1195
--
-- Create test table
DROP TABLE ewkt_srid;
CREATE TABLE ewkt_srid (id int4);
SELECT AddGeometryColumn( 'ewkt_srid', 'egeom', 4326, 'GEOMETRY', 3 );

-- XYZ 
INSERT INTO ewkt_srid (id, egeom) VALUES (1, GeomFromEWKT('SRID=4326;POINT(0 0 0)'));

-- XYM
INSERT INTO ewkt_srid (id, egeom) VALUES (3, GeomFromEWKT('SRID=4326;POINTM(52 21 75)'));

-- XYM with SRID
INSERT INTO ewkt_srid (id, egeom) VALUES (5, GeomFromEWKT('SRID=4326;MULTIPOINTM(0 0 0,1 2 1)'));

-- XYZ MULTILINESTRING 
INSERT INTO ewkt_srid (id, egeom) VALUES (6, GeomFromEWKT('SRID=4326;MULTILINESTRING((0 0 0,1 1 0,1 2 1),(2 3 1,3 2 1,5 4 1))'));

-- XYZ POLYGON
INSERT INTO ewkt_srid (id, egeom) VALUES (7, GeomFromEWKT('SRID=4326;POLYGON((0 0 0,4 0 0,4 4 0,0 4 0,0 0 0),(1 1 0,2 1 0,2 2 0,1 2 0,1 1 0))'));

-- XYZ MULTIPOLYGON
INSERT INTO ewkt_srid (id, egeom) VALUES (8, GeomFromEWKT('SRID=4326;MULTIPOLYGON(((0 0 0,4 0 0,4 4 0,0 4 0,0 0 0),(1 1 0,2 1 0,2 2 0,1 2 0,1 1 0)),((-1 -1 0,-1 -2 0,-2 -2 0,-2 -1 0,-1 -1 0)))'));
